<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'report_security', language 'he', branch 'MOODLE_36_STABLE'
 *
 * @package   report_security
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['check_configrw_details'] = '<p>מומלץ כי הרשאות קבצים של config.php ישונו אחרי ההתקנה כך שהקובץ לא יוכל להשתנות על ידי שרת הרשת.
שימו לב כי אמצעי זה לא משפר את הבטחון באופן ניכר, אם כי הוא יכול להאט או להגביל שימושים לרעה. </p>.';
$string['check_configrw_name'] = 'קובץ config.php ניתן לכתיבה';
$string['check_configrw_ok'] = 'config.php  לא ניתן לשינוי על ידי תסריט PHP';
$string['check_configrw_warning'] = 'תסריטי PHP עשויים לשנות את config.php';
$string['check_cookiehttponly_details'] = '<p style=";text-align:right;direction:rtl"> מומלץ לאפשר קבצי Cookie של HTTP בלבד בכדי למנוע סקריפטים של צד לקוח לגשת לעוגיות שהוגדרו על ידי השרת, ועוזרים להפחית את הסיכון להתקפות XSS. </p><p style=";text-align:right;direction:rtl"> דגל ה- HTTP בלבד נתמך על ידי כל הדפדפנים המודרניים, אך שימו לב שדפדפנים ישנים עשויים לא לתמוך בדגל זה ולכן יש לראות בהם פחות מאובטחים. </p>';
$string['check_cookiehttponly_error'] = 'הפעל קובצי עוגיות של HTTP בלבד.';
$string['check_cookiehttponly_name'] = 'עוגיות HTTP בלבד';
$string['check_cookiehttponly_ok'] = 'עוגיות HTTP בלבד הופעלו.';
$string['check_cookiesecure_details'] = '<p>אם תקשורת http מופעלת מומלץ גם להפעיל עוגיות מאובטחות. יש להוסיף הכוונה תמידית מhttp ל-https.
</p>';
$string['check_cookiesecure_error'] = 'אפשר עוגיות מאובטחות';
$string['check_cookiesecure_name'] = 'עוגיות מאובטחות';
$string['check_cookiesecure_ok'] = 'עוגיות מאובטחות מאופשרות';
$string['check_defaultuserrole_details'] = '<p>לכל המשתמשים המחוברים למערכת ניתנו יכולות של משתמש בררת־מחדל. יש להבטיח שיכולות מסוכנות לא מורשות לתפקיד זה. </p> <p> הירושה היחידה הנתמכת למשתמש בררת־מחדל היא <em> משתמש מאומת (Authenticated)  </em>. אין לאפשר יכולות צפיה בקורס.</p>';
$string['check_defaultuserrole_error'] = 'תפקיד בררת־מחדל של משתמש "{$a}" הוגדר בצורה לא נכונה';
$string['check_defaultuserrole_name'] = 'תפקיד בררת־מחדל לכל המשתמשים';
$string['check_defaultuserrole_notset'] = 'תפקיד בררת־מחדל לא הוגדר';
$string['check_defaultuserrole_ok'] = 'תפקיד בררת־מחדל לכל המשתמשים הוגדר בצורה נכונה';
$string['check_devgraphql_details'] = 'בעת יישום קוד מתכנתים חדשים עשויים לאפשר מצב פיתוח עבור ממשקי API מבוססי GraphQL על ידי הגדרת קבוע GRAPHQL_DEVELOPMENT_MODE ב- config.php. אסור להפעיל מצב זה בשרתי ייצור מטעמי אבטחה וביצועים.';
$string['check_devgraphql_error'] = 'מצב פיתוח GraphQL פעיל';
$string['check_devgraphql_name'] = 'מצב פיתוח GraphQL';
$string['check_devgraphql_ok'] = 'מצב פיתוח GraphQL מושבת';
$string['check_disableconsistentcleaning_details'] = 'אנו לא ממליצים להפעיל את ההגדרה "השבת ניקוי עקבי".
כאשר מופעל תכנים שנוצרו על ידי מדריכים ומשתמשים מורשים אחרים לא ינוטרלו באופן עקבי. תגי HTML ותכונות שניתן להשתמש בהם לביצוע התקפות אבטחה לא יוסרו מאזורים כגון תיאורי קורסים, היכרות עם פעילויות ושאלות.';
$string['check_disableconsistentcleaning_name'] = 'השבת ניקוי עקבי';
$string['check_disableconsistentcleaning_ok'] = 'ההגדרה "השבת ניקוי עקבי" מושבתת.';
$string['check_disableconsistentcleaning_serious'] = 'ההגדרה "השבת ניקוי עקבי" מופעלת.';
$string['check_displayerrors_details'] = '<p>לא מומלץ לאפשר את הגדרת ה-PHP code>display_errors</code> באתרים פעילים משום שהודעות השגיאה יכולות לגלות מידע רגיד על השרת שלך. </p>';
$string['check_displayerrors_error'] = 'יכולות PHP להציג שגיאות מופעלת. מומלץ שהיא תופסק.';
$string['check_displayerrors_name'] = 'הצגת שגיאות PHP';
$string['check_displayerrors_ok'] = 'הצגת שגיאות PHP מנוטרלת';
$string['check_emailchangeconfirmation_details'] = '<p>מומלץ כי בעת שהמשתמשים משנים את כתובת הדוא"ל שלהם בפרופיל יתווסף שלב של אישור. אם אפשרות זאת אינה זמינה שולחי "זבל" עשויים לנסות לנצל את השרת לשלוח "זבל". </p> <p> ניתן גם לסגור את שדה הדוא"ל מתוספי האימות, אפשרות זאת לא נידונה כאן. <p>';
$string['check_emailchangeconfirmation_error'] = 'המשתמשים רשאים לציין כל כתובת דוא"ל';
$string['check_emailchangeconfirmation_info'] = 'המשתמשים רשאים לציין כתובות דוא"ל רק מתחומים מותרים';
$string['check_emailchangeconfirmation_name'] = 'אישור שינוי הדוא"ל';
$string['check_emailchangeconfirmation_ok'] = 'אישור של שינוי הדוא"ל בפרופיל המשתמש';
$string['check_frontpagerole_details'] = '<p>תפקיד בררת־מחדל של הדף הראשי ניתן לכל המשתמשים הרשומים לפעילויות של הדף הראשי. יש לוודא ששום יכולות מסוכנות מאופשרות לתפקיד זה. </p>  <p> מומלץ לייצור תפקיד יחודי עבור מטרה זאת וכי שום תפקיד אחר לא יתאפשר </p>';
$string['check_frontpagerole_error'] = 'תפקיד דף הראשי {$a} הוגדר בצורה לא נכונה!';
$string['check_frontpagerole_name'] = 'תפקיד הדף הראשי';
$string['check_frontpagerole_notset'] = 'תפקיד הדף הראשי לא הוגדר';
$string['check_frontpagerole_ok'] = 'הגדרת תפקיד הדף הראשי נכונה';
$string['check_google_details'] = '<p>  פתיחה להגדרות של Google מאפשרת למנועי החיפוש להגיע לקורסים עם הרשאת אורחים. אין טעם לאפשר הגדרה זו אם גישת האורחים איננה מאופשרת בקורס. </p>';
$string['check_google_error'] = 'שימוש במנועי חיפוש מותרת אך השימוש לאורחים אינו מותר.';
$string['check_google_info'] = 'ניתן לאפשר אינדוקס של מנועי חיפוש בהרשאות אורחים';
$string['check_google_name'] = 'פתוח ל Google';
$string['check_google_ok'] = 'לא אופשרה הגישה למנוע החיפוש';
$string['check_guest_details'] = '<p>מומלץ למנוע התחברת לאתר ללא אימות משתמש. אנא שקול לכבות את הגדרת "אפשר כפתור התחברות כאורח".</p>';
$string['check_guest_name'] = 'גישת אורח';
$string['check_guest_ok'] = 'משתמשים חייבים להתחבר עם החשבון שלהם.';
$string['check_guestrole_details'] = '<p> תפקיד האורחים משמש אורחים ולא משתמשים שנרשמו למערכת והרשאות שמניות לקורסים לאורחים. יש לוודא כי יכולות מסוכנות לא מאופשרות בתפקיד זה. </p> <p> התפקיד היחידי הנתמך כתפקיד האורח הוא <em>אורח</em>
</p>';
$string['check_guestrole_error'] = 'תפקיד המבקר "{$a}" מודגר לא נכון!';
$string['check_guestrole_name'] = 'תפקיד המבקר';
$string['check_guestrole_notset'] = 'תפקיד המבקר לא הוגדר';
$string['check_guestrole_ok'] = 'תפקיד המבקר הוגדר נכון';
$string['check_guest_warning'] = 'משתמשים יכולים לגשת לשרת זה כאורחים ללא סיסמא.';
$string['check_https_details'] = '<p>פרוטוקול HTTP ניתן לניצול לרעה, מומלץ ביותר להשתמש בפרוטוקול HTTPS בכל שרתי הייצור.</p>';
$string['check_https_name'] = 'פרוטוקול HTTPS';
$string['check_https_ok'] = 'פרוטוקול HTTPS נמצא בשימוש.';
$string['check_https_warning'] = 'פרוטוקול HTTPS לא נמצא בשימוש.';
$string['check_logincsrf_details'] = '<p style=";text-align:right;direction:rtl"> מומלץ מאוד לשמור על הגנת CSRF בכל אתרי הייצור. עם זאת הוא אינו תואם לדפי כניסה חלופיים שהוצאו משימוש ועשויים להפריע לתוספי אימות מותאמים אישית מסוימים. ראה config-dist.php לפרטים נוספים. </p>';
$string['check_logincsrf_error'] = 'הגנת CSRF אינה זמינה בדף הכניסה';
$string['check_logincsrf_name'] = 'הגנת CSRF בדף הכניסה';
$string['check_logincsrf_ok'] = 'הגנת CSRF פעילה בדף הכניסה';
$string['check_noauth_details'] = '<p>תוסף <em>ללא אימות</em> לא מיועד למערכות פעילות. אנא נטרל אותון אלא אם זאת היא מערכת פיתוח </p>';
$string['check_noauth_error'] = 'לא ניתן להשתמש בתוסף "ללא אימות" באתרים פעילים';
$string['check_noauth_name'] = 'ללא אימות';
$string['check_noauth_ok'] = 'תוסף "ללא אימות" כבוי';
$string['check_nodemodules_details'] = '<p style=";text-align:right;direction:rtl"> הספרייה <em>{$a->path}</em> מכילה מודולי Node.js ואת התלות שלהם, המותקנת בדרך כלל על ידי כלי השירות NPM. יתכן ויהיה צורך במודולים אלה לצורך פיתוח Totara. אין בהם צורך להפעיל אתר Totara והם יכולים להכיל קוד שעלול להיות מסוכן שיחשוף את האתר שלך להתקפות מרחוק. </p><p style=";text-align:right;direction:rtl"> מומלץ בחום להסיר את הספרייה אם האתר זמין באמצעות כתובת אתר ציבורית, או לפחות לאסור גישה לאינטרנט אליו. </p>';
$string['check_nodemodules_info'] = 'הספרייה node_modules לא צריך להיות מוצג באתרים ציבוריים.';
$string['check_nodemodules_name'] = 'ספריית מודולים Node.js';
$string['check_oauth2verify_detailed'] = 'מומלץ לכל ספקי OAuth 2 להיות מוגדרים לאכוף אימות חשבון דוא"ל משתמש על ידי הפעלת <code>Require email verification</code> בדף התצורה של מנפיקי הOAuth.  קיימת אפשרות למשתמש להתפשר על חשבון טוטרה של משתמש אחר עם אותה כתובת דוא"ל בעת כניסה באמצעות ספק OAuth 2. הסיכון קיים כאשר שניהם, או אחד ממנפיק OAuth 2, או אתר טוטרה, מאפשרים למשתמשים לשתף כתובת דוא"ל.';
$string['check_oauth2verify_details'] = '';
$string['check_oauth2verify_info_oauth2'] = 'לפחות מנפיק OAuth 2 אינו מוגדר לאימות כתובות דוא"ל של משתמשים';
$string['check_oauth2verify_info_ok'] = 'המנפיקים של OAuth 2 ואתר Totara מוגדרים לא להתיר שיתוף של כתובות דוא"ל בין משתמשים.';
$string['check_oauth2verify_info_totara'] = 'תצורת Totara מאפשרת כיום למשתמשים לשתף כתובת דוא"ל.';
$string['check_oauth2verify_info_totara_oauth2'] = 'תצורת Totara מאפשרת כיום למשתמשים לשתף כתובת דוא"ל. בנוסף, לפחות מנפיק OAuth 2 אינו מוגדר לאימות כתובות דוא"ל של משתמשים.';
$string['check_oauth2verify_name'] = 'אימות דוא"ל OAuth 2';
$string['check_openprofiles_details'] = '<p> פרופילים פתוחים של משתמשים עשויים להיות מנוצלים על ידי שולחי "זבל". מומלץ כי
code>יש להכריח את המשתמשים להתחבר בעבור הפרופילים</code> או
code>חייב משתמשיםלהתחבר</code> are enabled>מופעל.</p>';
$string['check_openprofiles_error'] = 'כל אדם יכול לצפות בחשבונות ללא התחברות למערכת.';
$string['check_openprofiles_name'] = 'פתיחת חשבונות משתמש';
$string['check_openprofiles_ok'] = 'הצפיה בחשבונות משתמש מותנת בהתחברות למערכת.';
$string['check_passwordpolicy_details'] = '<p>מומלץ להגדיר מדיניות לסיסמה, מכיוון וניחוש סיסמאות היא פעמים רבות הדרך הקלה ביותר להשיג כניסה לא מאושרת. אין  צורך בדרישות קשות מדי, משום שזה יכול לגום לכך שהשתמשים לא יהיו מסוגלים לזכור את הסיסמאות שלהם וכתוצאה מכך הן תשכחנה או שיהיה צורך לרשום אותן. </p>';
$string['check_passwordpolicy_error'] = 'מדיניות סיסמה איננה מוגדרת עדיין.';
$string['check_passwordpolicy_name'] = 'מדיניות סיסמה';
$string['check_passwordpolicy_ok'] = 'מדיניות סיסמה מאופשרת';
$string['check_persistentlogin_details'] = '<p style=";text-align:right;direction:rtl"> אם כניסות מתמשכות מופעלות מתעלמים מפסק זמן רגיל של הפעלה ומגדיר קובץ cookie קבוע לדפדפן. מאוחר יותר משתמשים בקובץ cookie זה כדי להתחבר מחדש אוטומטית למשתמש לאחר הפעלה מחדש של הדפדפן או פסק זמן להפעלה. </p>';
$string['check_persistentlogin_name'] = 'התחברות מתמדת';
$string['check_persistentlogin_ok'] = 'ההתחברות המתמדת מושבתת.';
$string['check_persistentlogin_warning'] = 'ההתחברות המתמדת עשויה להיחשב כסיכון אבטחה.';
$string['check_preventexecpath_details'] = '<p style=";text-align:right;direction:rtl"> מאפשרת להגדיר נתיבי הפעלה באמצעות ממשק המשתמש של הניהול הוא וקטור להסלמת הרשאות. </p>';
$string['check_preventexecpath_name'] = 'נתיבי הפעלה';
$string['check_preventexecpath_ok'] = 'נתיבי הפעלה הניתנים להגדרה רק ב- config.php.';
$string['check_preventexecpath_warning'] = 'ניתן להגדיר נתיבים הניתנים להפעלה בממשק המשתמש של מנהל המערכת.';
$string['check_repositoryurl_details'] = '<p style=";text-align:right;direction:rtl"> הפעלת הורדת ה- URL יכולה לאפשר למשתמשים חיצוניים לגשת לכתובות אתרים ברשת הפנימית שלך. אתה לא אמור להפעיל תכונה זו אם יש לך משתמשים שמורשים לגשת ל- LMS שלך אך אינם מורשים לגשת למשאבים אחרים ברשת הפנימית שלך הנגישים משרת LMS. </p>';
$string['check_repositoryurl_name'] = 'מאגר הורדת קובץ מקישור.';
$string['check_repositoryurl_ok'] = 'מאגר הורדת קובץ מקישור כבוי.';
$string['check_repositoryurl_warning'] = 'מאגר הורדת קובץ מקישור מופעל.';
$string['check_resourcesallowpdfembedding_details'] = 'משתמשים עשויים להעלות קבצי PDF לא מהימנים כמשאבי קבצים.

מומלץ להשבית את ההגדרות "אפשר הטמעת PDF".';
$string['check_resourcesallowpdfembedding_name'] = 'הטמעת קבצי PDF במשאבי הקורס';
$string['check_resourcesallowpdfembedding_ok'] = 'קובץ PDF שהועלה לא נפתח ישירות בדפדפנים.';
$string['check_resourcesallowpdfembedding_warning'] = 'קובץ PDF שהועלה יוכל להפתח ישירות בדפדפנים.';
$string['check_resourcesallowxss_details'] = 'יש לסמוך על משתמשים שעשויים להוסיף או לעדכן משאבי קורס מכיוון שהם עשויים להשתמש בסימונים וקבצים לא בטוחים בסוגי המשאבים הבאים: {$a}

מומלץ להשבית את כל ההגדרות "אפשר סימון וקבצים לא בטוחים".';
$string['check_resourcesallowxss_name'] = 'סימון וקבצים לא בטוחים במשאבי הקורס';
$string['check_resourcesallowxss_ok'] = 'כל הגדרות המשאב "אפשר סימון וקבצים לא בטוחים" מושבתים.';
$string['check_resourcesallowxss_warning'] = 'משתמשים שעורכים משאבי קורס עשויים להשתמש בסימונים וקבצים לא בטוחים.';
$string['check_riskadmin_detailsok'] = '<p>אמת את הרשימה הבאה של מנהלי המערכת </p> {$a}';
$string['check_riskadmin_detailswarning'] = '<p>יש לוודא את הרשימה הבאה של מנהלי המערכת: </p> {$a->admins}
</p> מומלץ למנות תפקיד מנהל מערכת רק בהקשר למערכת. למשתמשים הבאים יש זכויות (לא נתמכות) של מנהל מערכת בהקשרים אחרים:
{$a->unsupported}';
$string['check_riskadmin_name'] = 'מנהלי המערכת';
$string['check_riskadmin_ok'] = 'נמצאו {$a} מנהלי מערכת.';
$string['check_riskadmin_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) בחן את הצבת התפקידים</a>';
$string['check_riskadmin_warning'] = 'נמצאו {$a->admincount} מנהלי שרתים וכן
{$a->unsupcount} הקצאות תפקיד לא נתמכות של מנהלי מערכת.';
$string['check_riskallowxss_details'] = 'RISK_ALLOWXSS מציין את כל היכולות המסוכנות שרק משתמשים מהימנים רשאים להשתמש בהם.

אנא אמת את רשימת המשתמשים הבאה וודא שאתה סומך עליהם לחלוטין בשרת זה: {$a}';
$string['check_riskallowxss_name'] = 'משתמשים מהימנים ב- XSS';
$string['check_riskallowxss_warning'] = 'RISK_ALLOWXSS - מצא {$a} משתמשים  שיש לסמוך עליהם.';
$string['check_riskbackup_detailsok'] = 'אים תפקידים אשר מתירים באופן מפורש ביצוע גיבוי של נתוני המשתמש. אולם למנהלי מערכת בעלי היכולת "עשה הכל" מתאפשר כנראה יכולים לבצע זאת.';
$string['check_riskbackup_details_overriddenroles'] = '<p>עקיפות פעילות אלו מעניקות למשתמשים את היכולת לכלול נתוני משתמש בגיבויים. יש להבטיח כי  הרשאה זאת אמנם דרושה.
</p>
{$a}';
$string['check_riskbackup_details_systemroles'] = '<p>תפקידי המערכת הבאים מאפשרים כעת למשתמשים לכלול מידע אודות משתמשים בגיבויים. יש לוודא שהרשאה זאת היא הכרחית.</p> {$a}';
$string['check_riskbackup_details_users'] = '<p>כפי שצויין לעיל או מפאת עקיפות הרשאה מקומיות יש למשתמשים הבאים את היכולת לבצע גיבויים הכוללים מידע פרטי מכל המשתמשים הרשומים לקורסים שלהם. יש לוודא כי הם (1) אמינים ו-(2) מוגנים על ידי סיסמאות חזקות: {$a}
</p>';
$string['check_riskbackup_editoverride'] = '<a href="{$a->url}">{$a->name} ב- {$a->contextname}</a>';
$string['check_riskbackup_editrole'] = '<a href="{$a->url}">{$a->name}</a>';
$string['check_riskbackup_name'] = 'גיבוי נתוני המשתמש';
$string['check_riskbackup_ok'] = 'אין תפקידים המאפשרים באופן מפורש גיבויים של מידע משתמש.';
$string['check_riskbackup_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) ב- {$a->contextname}</a>';
$string['check_riskbackup_warning'] = 'נמצאו {$a->rolecount} תפקידים, {$a->overridecount}  עקיפות ו-{$a->usercount} משתמשים בעלי הרשאות לבצע גיבוי מידע פרטי ורגיש אודות משתמשים.';
$string['check_riskxss_details'] = '<p>
RISK_XSS מציין את כל היכולות המסוכנות שרק למשתמשים מורשים יכולים להשתמש בהן. </p>
<p>יש לוודא את הרשימה הבאה של משתמשים ויש להבטיח עי ניתן לסמוך עליהם לחלוטין בשרת זה. </p> <p> {$a}';
$string['check_riskxss_name'] = 'משמשי XSS שבוטחים בהם';
$string['check_riskxss_warning'] = 'RISK_XSS מצא {$a} משתמשים שניתן לבטוח בהם';
$string['check_scormsessionkeepalive_details'] = '<p style=";text-align:right;direction:rtl"> אם מופעלת חיבור המשתמש נשמר באופן חי בנגן SCORM. </p>';
$string['check_scormsessionkeepalive_name'] = 'פעילות SCROM תמשיך להיות זמינה';
$string['check_scormsessionkeepalive_ok'] = 'פסק זמן רגיל להפעלה נאכף בנגן SCORM.';
$string['check_scormsessionkeepalive_warning'] = 'שמירת הפעלת משתמשים באופן חי בנגן SCORM עשויה להיחשב כנושא אבטחה קטן.';
$string['check_unsecuredataroot_details'] = '<p>אין לאפשר לקיית dataroot להיות נגישה מהרשת. הדרך הטובה ביותר להבטיח כי התיקייה לא תהיה נגישה הוא להשתמש באחת מהתיקיות שמחוץ לתיקיה הציבורית שח של שרת הרשת שלכם.</p> <p>אם התיקיה הועברה, חובה לעדכן את הגדרות<code>$CFG->dataroot</code> ב-<code>config.php</code> accordingly בהתאמה </p>';
$string['check_unsecuredataroot_error'] = 'תיקיית ה- dataroot שלכם <code>{$a}</code> מצויה במקום "בעיתי" אשר גלוי  למשתמשים מזדמנים מהאינטרנט.';
$string['check_unsecuredataroot_name'] = 'אבטחת תיקיית ה- dataroot בשרת';
$string['check_unsecuredataroot_ok'] = 'אין לאפשר גישה לתיקיית ה- dataroot שלך מהרשת.';
$string['check_unsecuredataroot_warning'] = 'תיקיית ה- dataroot שלכם <code>{$a}</code> מצויה במקום "בעיתי" אשר גלוי  למשתמשים מזדמנים מהאינטרנט.';
$string['check_usernameenumeration_details'] = 'כאשר אישורי המשתמש אינם נכונים טוטרה מקפידה להיות מעורפלת לגבי הסיבה לכך כדי לא ליידע את המשתמש אם שם המשתמש או הסיסמה שגויים. משמעות הדבר היא שהתוקפים חייבים לנחש גם את שם המשתמש וגם את הסיסמה.

כאשר ההרשמה העצמית מופעלת, התוקפים יכולים להשתמש בטופס ההרשמה כדי למנות שמות משתמש ולעבוד אילו תקפים. לאחר שזוהה שם משתמש חוקי הם רק צריכים לנחש את הסיסמה.
כדי למנוע כיבוי רישום עצמי.

כאשר הגנה על שמות משתמש מושבתים, התוקפים יוכלו להשתמש בעמוד שכחתי סיסמה כדי למנות שמות משתמש ולנחש מי מהם ניתנים לתקיפה. לאחר שזוהה שם משתמש חוקי הם רק צריכים לנחש את הסיסמה.

כדי למנוע הפעלה זו הגן על שמות משתמש.';
$string['check_usernameenumeration_name'] = 'מספור שם משתמש';
$string['check_usernameenumeration_ok'] = 'הגנת שמות משתמש מופעלת ורישום עצמי לאתר לא מאופשר';
$string['check_usernameenumeration_warning'] = 'כאשר הרשמה עצמית לאתר מותרת או הגנת שמות משתמש כבויה, אז משתמשים לא מאומתים עלולים לנחש שמות משתמשים קיימים';
$string['check_webcron_details'] = '<p"> הפעלת cron מדפדפן אינטרנט יכולה לחשוף מידע חסוי למשתמשים אנונימיים. מומלץ להפעיל את cron משורת הפקודה או להגדיר סיסמת cron לגישה מרחוק. </p>';
$string['check_webcron_name'] = 'אינטרנט cron';
$string['check_webcron_ok'] = 'משתמשים אנונימיים לא יכולים לגשת ל-cron.';
$string['check_webcron_warning'] = 'משתמשים אנונימיים יכולים לגשת ל-cron.';
$string['check_xxe_risk_critical'] = 'ישויות חיצוניות נטענות ב- XML כברירת מחדל.';
$string['check_xxe_risk_name'] = 'סיכון XXE';
$string['check_xxe_risk_ok'] = 'ישויות חיצוניות אינן נטענות ל- XML כברירת מחדל.';
$string['configuration'] = 'תצורה';
$string['description'] = 'תיאור';
$string['details'] = 'פרטים';
$string['issue'] = 'בעיה';
$string['pluginname'] = 'סקירת אבטחה';
$string['security:view'] = 'צפיה בדו"ח הביטחון';
$string['status'] = 'מצב';
$string['statuscritical'] = 'חשוב';
$string['statusinfo'] = 'מידע';
$string['statusok'] = 'תקין';
$string['statusserious'] = 'רציני';
$string['statuswarning'] = 'אזהרה';
$string['timewarning'] = 'העיבוד יכול לערוך זמן רב, אנא היו סבלניים...';
