<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_filetypes', language 'he', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_filetypes
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addfiletypes'] = 'הוספת סוג קובץ חדש';
$string['corestring'] = 'מלל שפה חלופי';
$string['corestring_help'] = 'הגדרה זו יכולה לשמש לבחירת טקסט אחר מקובץ השפה mimetype.php. בדרך כלל יש להשאיר ריק. עבור סוגים מותאמים השתמש בשדה התיאור.';
$string['defaulticon'] = 'סמליל ברירת מחדל עבור סוג MIME';
$string['defaulticon_help'] = 'אם יש מספר סיומות קבצים מאותו סוג MIME, בחר באפשרות זו עבור הסיומות כך שהסמליל ישמש בקביעת סוג הקובץ.';
$string['deletea'] = 'מחיקת {$a}';
$string['delete_confirmation'] = 'האם אתה בטוח לחלוטין שברצונך להסיר את <strong>.{$a}</strong>?';
$string['deletefiletypes'] = 'מחיקת סוג קובץ';
$string['description'] = 'תיאור מותאם';
$string['description_help'] = 'תיאור פשוט של סוג קובץ, למשל \'ספר אלקטרוני של קינדל\'. אם האתר שלך תומך במספר שפות ומשתמש במסנן רב-שפות, תוכל להזין תגים רב-שפתיים בשדה זה כדי לספק תיאור בשפות שונות.';
$string['descriptiontype'] = 'סוג תיאור';
$string['descriptiontype_custom'] = 'תיאור מותאם המוגדר עבור טופס זה';
$string['descriptiontype_default'] = 'ברירת מחדל (סוג MIME או מחרוזת שפה מתאימה אם זמינה)';
$string['descriptiontype_help'] = 'ישנן שלוש דרכים אפשריות לציין תיאור.

* התנהגות ברירת מחדל משתמשת בסוג MIME. אם יש מחרוזת שפה ב- mimetypes.php המתאימה לסוג MIME זה, הוא ישמש; אחרת סוג MIME עצמו יוצג למשתמשים.
* ניתן לציין תיאור מותאם אישית בטופס זה.
* ניתן לציין את שם מחרוזת השפה ב- mimetypes.php לשימוש במקום סוג MIME.';
$string['descriptiontype_lang'] = 'טקסט שפה חלופי (מתוך mimetypes.php)';
$string['displaydescription'] = 'תיאור';
$string['editfiletypes'] = 'עריכת סוג קובץ';
$string['emptylist'] = 'אין סוגי קבצים מוגדרים.';
$string['error_addentry'] = 'על סיומת סוג הקובץ, התיאור, סוג ה- MIME והסמל לא לכלול תווי שורה ותווי נקודה פסיק.';
$string['error_defaulticon'] = 'סיומת קובץ אחרת עם אותו סוג MIME מסומנת כבר כסמל ברירת המחדל.';
$string['error_extension'] = 'סיומת סוג הקובץ <strong>{$a}</strong> כבר קיימת או שאינה חוקית. סיומות הקבצים חייבות להיות ייחודיות ואין להכיל תווים מיוחדים.';
$string['error_notfound'] = 'סוג הקובץ עם סיומת {$a} לא נמצא.';
$string['extension'] = 'סיומת קובץ';
$string['extension_help'] = 'שם סיומת הקובץ ללא נקודה, למשל, e.g. ‘mobi’';
$string['groups'] = 'קבוצות סוגי קבצים';
$string['groups_help'] = 'רשימה אופציונאלית של קבוצות סוגי קבצים שסוג זה שייך להם. אלו הן קטיגוריות גנריות כגון ‘document’ או ‘image’.';
$string['icon'] = 'סמליל הקובץ';
$string['icon_help'] = 'שם קובץ. רשימת הסמלים נלקחת מספריית / pix / f בתוך התקנת Totara. ניתן להוסיף סמלים מותאמים אישית לתיקייה זו אם יש צורך בכך.';
$string['mimetype'] = 'סוג MIME';
$string['mimetype_help'] = 'סוג MIME המשויך לסוג קובץ זה, למשל \'application / x-mobipocket-ebook\'';
$string['pluginname'] = 'סוגי קבצים';
$string['revert'] = 'שחזר {$a} לברירות המחדל';
$string['revert_confirmation'] = 'האם אתה בטוח שברצונך לשחזר את <strong>.{$a}</strong> לברירת המחדל, ולמחוק את כל השינויים?';
$string['revertfiletype'] = 'שחזור סוג קובץ';
$string['source'] = 'סוג';
$string['source_custom'] = 'מותאם';
$string['source_deleted'] = 'נמחק';
$string['source_modified'] = 'עודכן';
$string['source_standard'] = 'תקני';
